Bug 175042 - games/wmtictactoe: Fix build with clang
games/wmtictactoe: Fix build with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-07 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:11 UTC
- Fix build with clang
Comment 1 araujo freebsd_committer 2013-01-18 06:17:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-07 14:46:36 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-07 14:46:36 UTC
Responsible Changed
From-To: araujo->miwi

Committed
Comment 4 dfilter freebsd_committer 2013-02-07 14:46:48 UTC
Author: miwi
Date: Thu Feb  7 14:46:35 2013
New Revision: 311857
URL: http://svnweb.freebsd.org/changeset/ports/311857

Log:
  - Fix build with clang
  
  PR:		175042
  Submitted by:	Ports Fury

Deleted:
  head/games/wmshuffle/pkg-plist
Modified:
  head/games/wmshuffle/Makefile   (contents, props changed)

Modified: head/games/wmshuffle/Makefile
==============================================================================
--- head/games/wmshuffle/Makefile	Thu Feb  7 14:45:23 2013	(r311856)
+++ head/games/wmshuffle/Makefile	Thu Feb  7 14:46:35 2013	(r311857)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	wmshuffle
-# Date created:			15 May 2002
-# Whom:				Alexey Dokuchaev <danfe@regency.nsu.ru>
-#
+# Created by: Alexey Dokuchaev <danfe@regency.nsu.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	wmshuffle
 PORTVERSION=	0.6
@@ -13,10 +9,19 @@ MASTER_SITES=	http://www.linuks.mine.nu/
 		http://freebsd.nsu.ru/distfiles/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A dockable Shuffle game for WindowMaker and AfterStep
+COMMENT=	Dockable Shuffle game for WindowMaker and AfterStep
 
-USE_GMAKE=	yes
 USE_XORG=	xpm
+USE_GMAKE=	yes
+
+PLIST_FILES=	bin/wmshuffle \
+		%%DATADIR%%/skin-feiticeira.xpm \
+		%%DATADIR%%/skin-lucyenne.xpm
+PLIST_DIRS=	%%DATADIR%%
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^void .*main|int main|' ${WRKSRC}/wmshuffle.c
 
 post-install:
 	@${MKDIR} ${DATADIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"